# SceCtrlData Struct Reference
[Controller Kernel Library]

`#include <sdk/ctrl/pspctrl.h>`

## Detailed Description

Returned controller data.

## Data Fields

unsigned int | TimeStamp
| The current read frame.
unsigned int | Buttons
| Bit mask containing zero or more of PspCtrlButtons.
unsigned char | Lx
| Analogue stick, X axis.
unsigned char | Ly
| Analogue stick, Y axis.
unsigned char | Rsrv [6]
| Reserved.

## Field Documentation

unsigned int SceCtrlData::Buttons

| Bit mask containing zero or more of PspCtrlButtons.

unsigned char SceCtrlData::Lx

| Analogue stick, X axis.

unsigned char SceCtrlData::Ly

| Analogue stick, Y axis.

unsigned char SceCtrlData::Rsrv[6]

| Reserved.

unsigned int SceCtrlData::TimeStamp

| The current read frame.

The documentation for this struct was generated from the following file:

- sdk/ctrl/pspctrl.h